<!DOCTYPE HTML>
<html xmlns:layout="http://www.w3.org/1999/xhtml" layout:decorate="~{layout/main}">
<head>
    <title>Bull-EzyVolt</title>
    <script src="/js/gauge.js"></script>
    <style type="text/css">
         .myCalss{
         margin-left: -190px;
         }
    </style>
</head>
<body>
<div layout:fragment="content">
    <nav class="navbar navbar-expand-lg navbar-transparent  bg-primary  navbar-absolute">

    </nav>
    <div class="panel-header panel-header-sm">
    </div>
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h5 class="title">Add New Machine</h5>
                    </div>
                    <div class="card-body">
                        <form>
                            <div class="row">
                                <div class="col-md-12">
                                    <div>
                                        <label id="error_msg" class="bmd-label-floating"></label>
                                    </div>
                                </div>
                            </div>
                                <div class="col-md-5">
                                    <div class="form-group">
                                        <label for="MachineName"><strong>Machine Name *</strong></label>
                                        <input type="text" class="form-control" name="machineName" id="machineName" placeholder="name" maxlength="30">
                                    </div>
                                </div>
                                <div class="col-md-5">
                                    <div class="form-group">
                                        <label for="MachineId"><strong>Machine Id *</strong></label>
                                        <input type="text" class="form-control" id="machineId" placeholder="Id" maxlength="15">
                                    </div>
                                </div>
                                <div class="col-md-5 ">
                                    <div class="form-group">
                                        <label for="machineStatus"><strong>Machine Status *</strong></label>
                                        <select id="machineStatus" class="form-control">
                                            <option value="On">On</option>
                                            <option value="Off">Off</option>
                                        </select>
                                    </div>
                                </div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label for="machineBaseReading"><strong>Machine Base Reading *</strong></label>
                                    <input type="text" class="form-control" id="machineBaseReading" placeholder="reading" maxlength="10">
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label for="MachineLocation"><strong>Machine Location *</strong></label>
                                    <input type="text" class="form-control" id="machineLocation" placeholder="location" maxlength="30">
                                </div>
                            </div>
                            <div class="col-md-5">
                                <h4 class="card-title btn" style="float:right; background-color: #fd7e14; color:#fff; margin-left: 50px">
                                <a onclick="createMachine();" id="saveBtn" style="color:#fff;text-decoration: none;"> Save </a>
                                </h4>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <script>

     function createMachine(){

        if($.trim($('#machineName').val()) == "") {
            $('#error_msg').html("Machine Name should not be empty");
            return false;
        }else if($.trim($('#machineId').val()) == "") {
            $('#error_msg').html("Machine Id should not be empty");
            return false;
        }else if($.trim($('#machineStatus').val()) == "") {
            $('#error_msg').html("Status should not be empty");
            return false;
        }else if($.trim($('#machineBaseReading').val()) == "") {
            $('#error_msg').html("Base reading should not be empty");
            return false;
        }else if($.trim($('#machineLocation').val()) == "") {
            $('#error_msg').html("Location should not be empty");
            return false;
        }

        $('#error_msg').html('');

        var machineData={
            machineName:$("#machineName").val(),
            mcid:$("#machineId").val(),
            mcstatus:$("#machineStatus option:selected").val(),
            idealVal:$("#machineBaseReading").val(),
            mclocation:$("#machineLocation" ).val(),
        }

         console.log(machineData);
         $.ajax({
            contentType: "application/json;charset=UTF-8",
            url: "/api/v1/machines",
            dataType: "json",
            type: "POST",
            cache: !1,
            processData: !1,
            data: JSON.stringify(machineData),
            complete: function(xhr) {
                if(xhr.status==201){
                 $('div .btn-info').removeAttr("disabled");
                 $("#error_msg").show().html("Machine has been created successfully").removeClass('label-info').addClass('label-success');
                 window.location.href = "/machines";
                 }else if(xhr.status==401){
                 $('div .btn-info').removeAttr("disabled");
                 $("#error_msg").show().html("The Machine was not Created...Please try again. ").removeClass('label-info').addClass('label-danger');
                }
            }
         });
     }

    </script>
</div>
</body>